
/* loadui.h */

#ifndef LOADUI_H
#define LOADUI_H

#include <QObject>

/* ----------------------------------------------------------------------- */

namespace Style {

class StylePlugin;

/* ----------------------------------------------------------------------- */

class UiModule : public QObject
{
   Q_OBJECT

   private Q_SLOTS:
      void loadUI ();
      void saveUI ();

   public:
      UiModule (StylePlugin * plugin);

   private:
      void init ();

   private:
      StylePlugin * m_plugin;
};

/* ----------------------------------------------------------------------- */

} // end of namespace

#endif // LOADUI_H
